Skip to main content
POST

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

topLatitude
number<double>
required

Latitude of the top edge of the rectangle in decimal degrees (e.g. N58°30' is represented as 58.5). Must be greater than bottomLatitude.

Required range: -90 <= x <= 90
bottomLatitude
number<double>
required

Latitude of the bottom edge of the rectangle in decimal degrees (e.g. S58°30' is represented as -58.5)

Required range: -90 <= x <= 90
leftLongitude
number<double>
required

Longitude of the left edge of the rectangle in decimal degrees (e.g. E014°45' is represented as 14.75). Must be less than rightLongitude.

Required range: -180 <= x <= 180
rightLongitude
number<double>
required

Longitude of the right edge of the rectangle in decimal degrees (e.g. E014°45' is represented as 14.75)

Required range: -180 <= x <= 180
limit
integer
default:300

Maximum number of individual locations to return. Not applicable when aggregation is enabled. Use a lower limit for faster response times.

Required range: x <= 300
aggregate
boolean
default:false

Enable result aggregation. Recommended for large search radii to improve response time.

aggregationPrecision
integer

Controls the size of aggregation grid cells. Values range from 2 (largest cells) to 9 (smallest cells). Higher precision means smaller clusters but more data. If not specified, an appropriate value based on the search radius is used.

Required range: 2 <= x <= 9
language
string

Supported languages: en, bg, cy, de, es, fi, fr, hu, is, it, lt, nb, nl, pl, pt, ro, sv.

Required string length: 2

Body

application/json

Geosearch request constrained to a rectangular area.

filters
object

Filtering criteria for location selection.

Response

OK

Response payload containing matching locations and aggregate metadata for a geosearch query.

locations
object[]
required

Locations matching the geosearch criteria.

aggregates
object[]

Present only if 'aggregate' request param = true. Contains only aggregates of 2 or more locations. Single locations are returned in 'locations' array.